Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.type
Class RegexTranslator.RegexSyntaxException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              net.sf.saxon.type.RegexTranslator.RegexSyntaxException

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  RegexTranslator

public static class RegexTranslator.RegexSyntaxException
extends java.lang.Exception

Thrown when an syntactically incorrect regular expression is detected.

See Also:
  Serialized Form

Field Summary
`static int` | `UNKNOWN_POSITION` Represents an unknown position within a string containing a regular expression.

Constructor Summary
`RegexTranslator.RegexSyntaxException(java.lang.String detail)`
`RegexTranslator.RegexSyntaxException(java.lang.String detail, int position)`

Method Summary
`int` | `getPosition()` Returns the index into the regular expression where the error was detected or `UNKNOWN_POSITION` if this is unknown.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### UNKNOWN_POSITION

    public static final int UNKNOWN_POSITION

  Represents an unknown position within a string containing a regular expression.

  See Also:
    Constant Field Values

Constructor Detail

### RegexTranslator.RegexSyntaxException

    public RegexTranslator.RegexSyntaxException(java.lang.String detail)

### RegexTranslator.RegexSyntaxException

    public RegexTranslator.RegexSyntaxException(java.lang.String detail,
                                                int position)

Method Detail

### getPosition

    public int getPosition()

  Returns the index into the regular expression where the error was detected or `UNKNOWN_POSITION` if this is unknown.

  Returns:
    the index into the regular expression where the error was detected, or `UNKNOWNN_POSITION` if this is unknown

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD